# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name simple-sendfile

%global common_summary Cross-platform sendfile system call

%global common_description A Haskell cross-platform library for the sendfile system call.\
This library tries to minimize system calls,\
since they are a bottleneck for web servers.

Name:           ghc-%{pkg_name}
Version:        0.2.8
Release:        2%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 0.2.8-1
- update to 0.2.8

* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-1
- update to 0.2.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-3
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-2
- rebuild

* Sat Jun  2 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-1
- update to 0.2.3

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- add license to ghc_files

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- update to 0.2.1

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- update to 0.2.0 and cabal2spec-0.25.2

* Thu Dec  1 2011 Jens Petersen <petersen@redhat.com> - 0.1.3-1
- BSD license

* Thu Dec  1 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
